section.related-articles {
  background: var(--gray-25, #FCFCFD);
  padding-top: 64px;
  padding-bottom: 64px;
  padding-left: 16px;
  padding-right: 16px;
}
@media (min-width: 375px) {
  section.related-articles {
    padding-left: clamp(16px, 4%, 123px);
    padding-right: clamp(16px, 4%, 123px);
  }
}
@media (min-width: 1440px) {
  section.related-articles {
    padding-left: 123px;
    padding-right: 123px;
  }
}
@media (min-width: 1920px) {
  section.related-articles {
    padding-left: 230px;
    padding-right: 230px;
  }
}
section.related-articles .container {
  max-width: 1460px;
  margin: auto;
  position: relative;
}
section.related-articles .container > .heading-text-wrapper {
  display: flex;
  justify-content: space-between;
}
section.related-articles .container > .heading-text-wrapper h2 {
  color: #101828;
  font-weight: 600;
  letter-spacing: -0.72px;
  font-size: 24px;
  line-height: 32px;
}
@media (min-width: 768px) {
  section.related-articles .container > .heading-text-wrapper h2 {
    font-size: 36px;
    line-height: 44px;
  }
}
@media (max-width: 768px) {
  section.related-articles .container > .heading-text-wrapper a {
    position: absolute;
    left: 0;
    bottom: 0;
    padding-right: 16px;
    padding-left: 16px;
    width: 100%;
  }
  section.related-articles .container > .heading-text-wrapper a button {
    width: 100%;
  }
}
section.related-articles .container .swiper {
  width: calc(100% + clamp(16px, 4%, 123px));
  overflow: hidden;
  padding-top: 64px;
}
@media (min-width: 123px) {
  section.related-articles .container .swiper {
    width: 100%;
  }
}
section.related-articles .container .swiper .post {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
section.related-articles .container .swiper .post .heading-text-wrapper h2 {
  color: #101828;
  font-style: normal;
  font-weight: 600;
  font-size: 20px;
  line-height: 30px;
}
@media (min-width: 768px) {
  section.related-articles .container .swiper .post .heading-text-wrapper h2 {
    font-size: 24px;
    line-height: 32px;
  }
}
section.related-articles .container .swiper .post .heading-text-wrapper button {
  position: absolute;
  left: 0;
  bottom: 0;
}
section.related-articles .container .swiper .swiper-wrapper {
  display: flex;
}
section.related-articles .container .swiper .swiper-wrapper .swiper-slide {
  flex-shrink: 0;
}
section.related-articles .container .swiper .swiper-wrapper .swiper-slide img {
  height: 240px;
  border-radius: 16px;
  width: 100%;
  object-fit: cover;
}
section.related-articles .container .swiper .button-wrapper {
  display: flex;
  gap: 32px;
  padding-top: 24px;
  padding-bottom: 72px;
}
@media (min-width: 768px) {
  section.related-articles .container .swiper .button-wrapper {
    padding-top: 32px;
    padding-bottom: 0;
  }
}
section.related-articles .container .swiper .button-wrapper .swiper-button-next {
  border: 1px solid transparent;
  width: 56px;
  height: 56px;
  border-radius: 56px;
  border: 1px solid var(--gray-200, #EAECF0);
  background: #FFF;
  cursor: pointer;
}
section.related-articles .container .swiper .button-wrapper .swiper-button-next.swiper-button-disabled:after {
  content: "";
  display: inline-block;
  background-image: url("../../utils/icons/arrow-right-disabled.svg");
  background-size: 24px 24px;
  background-repeat: no-repeat;
  width: 100%;
  height: 100%;
  background-position: center;
}
section.related-articles .container .swiper .button-wrapper .swiper-button-next:after {
  content: "";
  display: inline-block;
  background-image: url("../../utils/icons/arrow-right-gray.svg");
  background-size: 24px 24px;
  background-repeat: no-repeat;
  width: 100%;
  height: 100%;
  background-position: center;
}
section.related-articles .container .swiper .button-wrapper .swiper-button-next:focus-visible {
  outline: none;
}
section.related-articles .container .swiper .button-wrapper .swiper-button-next:hover {
  background: rgba(249, 250, 251, 0.2);
}
section.related-articles .container .swiper .button-wrapper .swiper-button-prev {
  width: 56px;
  height: 56px;
  border-radius: 56px;
  border: 1px solid var(--gray-200, #EAECF0);
  background: #FFF;
  cursor: pointer;
}
section.related-articles .container .swiper .button-wrapper .swiper-button-prev.swiper-button-disabled:after {
  content: "";
  display: inline-block;
  background-image: url("../../utils/icons/arrow-left-disabled.svg");
  background-size: 24px 24px;
  background-repeat: no-repeat;
  width: 100%;
  height: 100%;
  background-position: center;
}
section.related-articles .container .swiper .button-wrapper .swiper-button-prev:after {
  content: "";
  display: inline-block;
  background-image: url("../../utils/icons/arrow-left-gray.svg");
  background-repeat: no-repeat;
  width: 100%;
  height: 100%;
  background-position: center;
}
section.related-articles .container .swiper .button-wrapper .swiper-button-prev:focus-visible {
  outline: none;
}
section.related-articles .container .swiper .button-wrapper .swiper-button-prev:hover {
  background: rgba(249, 250, 251, 0.2);
}